/**
 * @file
 * AJAX pager.
 */

(function($) {
  Drupal.behaviors.entity_list_field = {
    attach: function(context, settings) {

      var entity_list_field = {

        pager: function(page) {
          var vals = new Object();

          if (!page) {
            vals.page = 0;
          }
          else {
            vals.page = page;
          }

          vals.field_name = settings.entity_list_field.field_name;
          vals.host_item = settings.entity_list_field.host_item;
          vals.item = settings.entity_list_field.item;
          vals.delta = settings.entity_list_field.delta;

          $.post('/?q=entity_list_field/pageturner', vals, function(data) {
            $('#entity-list-' + field_name_dashes + '-' + delta).html(data);
            Drupal.attachBehaviors('#entity-list-' + field_name_dashes + '-' + delta);
          });

          return false;
        },

        parseQS: function(varName, qs){
          var qStr = qs + '&';
          var regex = new RegExp('.*?[&\\?]' + varName + '=(.*?)&.*');
          val = qStr.replace(regex, "$1");
          return val == qStr ? false : val;
        }

      }

      var field_name = settings.entity_list_field.field_name;
      var delta = settings.entity_list_field.delta;
      var field_name_dashes = field_name.replace(/_/g, '-');

      $('#entity-list-' + field_name_dashes + '-' + delta + ' .pager a').click(function(e){
        e.preventDefault();
        var href = $(this).attr('href');
        var arr = href.split('?');
        var qs = '?' + arr[1];
        var page = entity_list_field.parseQS('page', qs);
        entity_list_field.pager(page);
      });

    }
  };

})(jQuery);
